from spack import *

class PySnudda(Package):
    homepage = 'https://pypi.org/project/snudda/'
    url      = 'https://files.pythonhosted.org/packages/py3/s/snudda/snudda-1.2.9-py3-none-any.whl'
    list_url = 'https://pypi.org/simple/snudda/'

    maintainers = ['hjorth','akarmas']
    
    version('1.3.2', '2306ec50acead5fd4f988ec373f19718', expand=False)
    
    depends_on('python@3.8:', type=('build','run'))
    depends_on('py-pip', type='build')
    depends_on('unzip', type='build')
    depends_on('py-bluepyopt', type=('build','run')) # got this from BlueBrainProject https://github.com/BlueBrain/spack/blob/develop/bluebrain/repo-bluebrain/packages/py-bluepyopt/package.py
    depends_on('py-h5py', type=('build','run'))
    depends_on('py-ipyparallel', type=('build','run'))
    depends_on('py-matplotlib', type=('build','run'))
    depends_on('py-mpi4py', type=('build','run'))
    depends_on('py-numpy', type=('build','run'))
    depends_on('py-scipy', type=('build','run'))
    depends_on('py-libsonata', type=('build','run')) # got it from from BlueBrainProject https://github.com/BlueBrain/spack/blob/develop/bluebrain/repo-bluebrain/packages/py-libsonata/package.py
    depends_on('py-pyzmq', type=('build','run'))
    depends_on('py-numexpr', type=('build','run'))
    depends_on('neuron', type=('build','run'))
    depends_on('py-pyswarms', type=('build','run'))
    depends_on('py-setuptools', type=('build'))
    depends_on('py-psutil', type=('build','run'))
    depends_on('py-cython', type=('build','run'))
    depends_on('py-numba', type=('build','run'))

    def install(self, spec, prefix):
        pip = which('pip')
        pip('install', self.stage.archive_file, '--prefix={0}'.format(prefix))
